:root {
    /*  Primary */
    --navy: gray;
    --pale-navy: #eee;
    --light-navy:  rgb(153,186,221);
    /* Neutral */

    --very-dark-blue: hsl(220, 13%, 13%);
    --dark-grayish-blue: hsl(219, 9%, 45%);
    --grayish-blue: hsl(220, 14%, 75%);
    --light-grayish-blue: hsl(223, 64%, 98%);
    --white: hsl(0, 0%, 100%);
    /* with 75% opacity for lightbox background */
    --black: hsl(0, 0%, 0%);

    /* Pseudo element txt */
    --pseudo-text: "0";
}

html {
    font-size: 62.5%;
    box-sizing: border-box;
}

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: inherit;
}

/*/////////////
  Main CSS
   //////////////*/

body {
    font-family: "Kumbh Sans", sans-serif;
    position: relative;
}

.body-wrapper {
    position: absolute;
    z-index: 50;
}

/*/////////////
  Overlay image modal
   //////////////*/

.overlay-container {
    display: none;
    z-index: 1000;
    width: 100%;
    height: 100%;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.5);
}

.item-overlay {
    max-width: 50rem;
    padding-top: 5rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
}

.item-overlay__btn {
    align-self: flex-end;
    background: none;
    border: none;
    filter: invert(52%) sepia(14%) saturate(3126%) hue-rotate(344deg) brightness(107%) contrast(102%);
    cursor: pointer;
}

.item-overlay__mainImg {
    position: relative;
}

.item-overlay__img {
    align-self: center;
    width: 100%;
    height: 100%;
    border-radius: 5%;
}

.overlay-btn {
    position: absolute;
    top: 50%;
    padding: 1.6rem 2rem;
    border: none;
    border-radius: 50%;
    background-color: var(--white);
    cursor: pointer;
}

.item-overlay__btnlft-img {
    transform: rotate(180deg);
}

.overlay-btn:hover .overlay-btn__img {
    filter: invert(52%) sepia(14%) saturate(3126%) hue-rotate(344deg) brightness(107%) contrast(102%);
}

.item-overlay__btnlft {
    left: 0;
    transform: translateX(-50%);
}

.item-overlay__btnrgt {
    right: 0;
    transform: translateX(50%);
}

.overlay-img__btns {
    align-self: center;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
}

.overlay-img__btn {
    display: block;
    cursor: pointer;
    background: none;
    border: none;
    border-radius: 10%;
    transition: all 0.3s;
    position: relative;
}

.overlay-img__btn::after {
    content: "";
    max-width: 100%;
    height: 100%;
    background-color: var(--white);
    border-radius: 10%;
    border: 3px solid transparent;
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0;
}

.overlay-img__btn:hover {
    background-color: var(--navy);
}

.overlay-img__btn:hover::after {
    border: 3px solid var(--navy);
    opacity: 0.5;
}

.overlay-img__btn-img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10%;
    transition: all 0.3s;
    transform-origin: bottom;
}

/*/////////////
   Header 
   //////////////*/
.head {
    max-width: 80%;
    padding-top: 5rem;
    margin: 0 auto 15rem;
    display: flex;
    justify-content: space-between;
    position: relative;
}

.head::after {
    content: "";
    height: 0.1px;
    width: 100%;
    background-color: var(--grayish-blue);
    position: absolute;
    bottom: -5rem;
    left: 0;
    margin-top: 5rem;
}

.head-lft {
    display: flex;
    align-items: center;
    gap: 2.5rem;
}

.head-lft__btn {
    display: none;
    padding-top: 0.9rem;
}

.head-nav {
    list-style: none;
    font-size: 1.7rem;
    color: var(--dark-grayish-blue);
    display: flex;
    gap: 2.25rem;
}

.head-nav__item {
    position: relative;
    cursor: pointer;
}

.head-nav__item::after {
    content: "";
    position: absolute;
    bottom: -6.8rem;
    left: 0;
    height: 3px;
    width: 100%;
    transform: scale(0);
    background-color: var(--navy);
    transition: transform 0.3s;
    transform-origin: center;
}

.head-nav__item:hover::after {
    transform: scale(1);
}

.head-nav__btn {
    display: none;
}

.head-rgt {
    display: flex;
    gap: 5rem;
    position: relative;
}

.head-rgt::after {
    content: attr(data-content);
    height: 1.7rem;
    width: 2.7rem;
    padding: 0.1rem 0.15rem;
    font-size: 1.25rem;
    font-weight: 700;
    color: var(--white);
    text-align: center;
    border-radius: 10px;
    background-color: var(--navy);
    position: absolute;
    top: -0.5rem;
    left: -1rem;
    display: var(--display, none);
}

.head-rgt__img {
    height: 5.5rem;
    width: 5.5rem;
    border-radius: 100px;
    border: 0.3rem solid transparent;
    cursor: pointer;
}

.head-rgt__img:hover {
    border: 0.3rem solid var(--navy);
}

.head-rgt__btn {
    background: none;
    border: none;
    cursor: pointer;
}

/* Btn stylling */
.btn--navy {
    padding: 2rem 5rem;
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--white);
    background-color: var(--navy);
    border: none;
    border-radius: 1rem;
    cursor: pointer;
}

/* //////////////////
  Cart  stylling
  /////////////////////// */
.head-cart {
    z-index: 100;
    padding: 3rem 2rem;
    width: 36rem;
    background-color: var(--white);
    box-shadow: 0px 10px 25px 3px rgba(0, 0, 0, 0.5);
    border-radius: 1rem;
    position: absolute;
    top: 15%;
    right: 15%;
    display: flex;
    flex-direction: column;
    gap: 4rem;
    visibility: hidden;
}

.head-cart__heading {
    position: relative;
    font-size: 1.5rem;
}

.head-cart__heading::before {
    content: "";
    width: 112.5%;
    height: 1px;
    background-color: var(--grayish-blue);
    position: absolute;
    top: 3.5rem;
    left: -2rem;
}

.head-cart__txt {
    font-size: 1.5rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    visibility: hidden;
}

.head-cart__btn {
    align-self: center;
    width: 100%;
}

.head-cart__item-wrapper {
    display: flex;
    align-items: start;
    gap: 2.5rem;
}

.head-cart__item {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    visibility: hidden;
}

.head-cart__item-img {
    width: 5rem;
    height: 5rem;
    border-radius: 0.5rem;
}

.head-cart__item-btn {
    align-self: center;
    background: none;
    border: none;
    cursor: pointer;
}

.head-cart__des {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.head-cart__des-txt {
    font-size: 1.5rem;
    line-height: 1.5;
}

.head-cart__price {
    display: flex;
    gap: 1rem;
    font-size: 1.5rem;
}

.head-cart__price-total {
    font-weight: 700;
}

/* //////////////////
  Product section stylling
  /////////////////////// */

.item {
    padding: 107px 3rem;
    max-width: 134rem;
    margin: auto;
    display: grid;
    grid-template-columns: 0.8fr 1fr;
    gap: 10rem;
}
@media screen and (max-width: 1367px) {
    .item {
        padding: 0px 3rem;
    }
}

/* Left img container stylling */
.img-main {
    max-width: 100%;
    border-radius: 5%;
    cursor: pointer;
    margin-bottom: 3.5rem;
}

.img-main__btn {
    display: none;
}

.img-btns {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
}

.img-btn {
    display: block;
    cursor: pointer;
    background: none;
    border: none;
    border-radius: 10%;
    transition: all 0.3s;
    position: relative;
}

.img-btn::after {
    content: "";
    max-width: 100%;
    height: 100%;
    background-color: var(--white);
    border-radius: 10%;
    border: 3px solid transparent;
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0;
}

.img-btn:hover {
    background-color: var(--navy);
}

.img-btn:hover::after {
    border: 3px solid var(--navy);
    opacity: 0.5;
}

.img-btn__img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10%;
    border: 3px solid transparent;
    transition: all 0.3s;
    transform-origin: bottom;
}

/*Right item details stylling */
.price {
    margin-top: 3.5rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.price-sub__heading {
    text-transform: uppercase;
    letter-spacing: 1.5px;
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--navy);
}

.price-main__heading {
    font-size: 5rem;
    font-weight: 700;
}

.price-txt {
    margin-top: 2rem;
    font-size: 1.8rem;
    color: var(--dark-grayish-blue);
    line-height: 1.5;
}

.price-box {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
}

.price-box__main {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.price-box__main-new {
    font-size: 3.5rem;
    font-weight: 700;
}

.price-box__main-discount {
    border: none;
    padding: 0.5rem 1.25rem;
    background-color: var(--pale-navy);
    border-radius: 0.5rem;
    font-size: 1.7rem;
    font-weight: 700;
    color: var(--navy);
}

.price-box__old {
    font-size: 2.5rem;
    color: var(--grayish-blue);
    position: relative;
}

.price-box__old::after {
    content: "";
    height: 1px;
    width: 9%;
    background-color: var(--grayish-blue);
    position: absolute;
    left: 0;
    top: 50%;
}

.price-btnbox {
    margin-top: 2rem;
}

.price-btnbox {
    display: flex;
    gap: 2.5rem;
}

.price-btns {
    width: 30%;
    padding: 1.5rem 1.25rem;
    border: none;
    background-color: var(--light-grayish-blue);
    border-radius: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3.5rem;
}

.price-btn {
    border: none;
    background: none;
    cursor: pointer;
    height: 100%;
    filter: invert(9%) sepia(51%) saturate(5706%) hue-rotate(238deg) brightness(0%) contrast(135%);
}

.price-btn_txt {
    font-size: 1.7rem;
    font-weight: 700;
    display: inline-block;
    border: none!important;
    width: 23px;
    background-color: var(--light-grayish-blue);
    -webkit-appearance: none;

}
input:focus {
    outline: none /* Removes the border when the input is clicked */; 
    -webkit-appearance: none;
  }
  

    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
}

  input[type=number] {
    -moz-appearance: textfield;
  }

.price-cart__btn-img{
    margin: 0 0 5px 0;
    filter: brightness(0) invert(1);
}
.price-cart__btn {
    width: 50%;
    box-shadow: 0px 10px 25px 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    font-family: "Josefin Sans";
    font-size: large;
    font-weight: bolder;
    color: white;
    background-color: navy;
}
.price-cart__btn:hover {
    cursor: pointer;
}

/* Attribution */
.attribution {
    margin-top: 7rem;
    font-size: 11px;
    text-align: center;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

/*/////////////
  Media Queries
   //////////////*/
   @media (min-width: 1370px) {
    .item{
        position: relative;
        top: -100px;
    }
   }
@media only screen and (max-width: 1600px) {

    .head {
        max-width: 100%;
        margin-left: 3rem;
        margin-right: 3rem;
    }

    .head-cart {
        right: 10%;
    }
}

@media only screen and (max-width: 1100px) {
    html {
        font-size: 50%;
    }

    .head {
        max-width: 100%;
        margin-left: 3rem;
        margin-right: 3rem;
    }

    .price {
        margin-top: 0.5rem;
    }

    .head {
        max-width: 100%;
        margin-left: 3rem;
        margin-right: 3rem;
    }
}

@media only screen and (max-width: 850px) {
    .overlay-container {
        display: none;
    }

    .head {
        position: unset;
        max-width: 100%;
        margin-top: 0;
        margin-bottom: 5rem;
    }

    .head::after {
        display: none;
    }

    .head-nav__item::after {
        display: none;
    }

    .item {
        
        grid-template-columns: 1fr;
        gap: 5rem;
    }

    .img {
        position: relative;
    }

    .img-main {
        border-radius: 0;
    }

    .img-main__btn {
        display: block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        padding: 2rem 2.6rem;
        border: none;
        border-radius: 100px;
        cursor: pointer;
        transition: all 1s;
        transform-origin: 50% 50%;
    }

    .img-main__btnrgt:hover .img-main__btn-img {
        transform: scale(1.2)
    }
    .img-main__btnlft:hover .img-main__btn-img {
        transform: scale(1.2) rotate(180deg)
    }

    .img-main__btnlft {
        left: 10%;
    }

    .img-main__btnlft-img {
        transform: rotate(180deg);
    }

    .img-main__btnrgt {
        right: 10%;
    }

    .img-btns {
        display: none;
    }

    .price {
        padding: 0 3rem;
    }

    .price-btnbox {
        flex-direction: column;
    }

    .price-btns {
        padding: 3rem 5rem;
        width: 100%;
    }

    .price-cart__btn {
        padding: 3rem 5rem;
        width: 100%;
    }

    .price-box {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    .price-box__old::after {
        width: 100%;
    }

    /* nav */

    .head-lft__btn {
        display: block;
        background: none;
        border: none;
        position: relative;
        z-index: 100;
        cursor: pointer;
    }

    .head-nav {
        z-index: 99;
        position: absolute;
        left: 0;
        top: 0;
        flex-direction: column;
        gap: 5rem;
        padding: 15rem 0 0 3rem;
        background-color: var(--white);
        width: 55%;
        height: 100%;
        transform: translateX(-100%);
        transition: transform 1s;
    }

    .head-nav__item {
        text-transform: uppercase;
        font-size: 2rem;
        font-weight: 700;
        color: var(--very-dark-blue);
    }

    .head-nav__btn {
        width: 0;
        display: block;
        background: none;
        border: none;
        margin-bottom: 2.5rem;
    }

    /* Cart */
    .head-cart {
        top: 10%;
        right: 15%;
    }
}

@media only screen and (max-width: 600px) {
    .head-cart {
        max-width: 100%;
        left: 50%;
        transform: translateX(-50%);
    }
}

@media only screen and (max-width: 420px) {
    .price {
        gap: 3rem;
    }

    .price-txt {
        margin-top: 0;
    }

    .price-btnbox {
        margin-top: 0;
    }

    .price-main__heading {
        font-size: 3.5rem;
    }

    .price-box__main-new {
        font-size: 3rem;
    }

    .head-lft {
        gap: 1.5rem;
    }

    .head-rgt {
        gap: 1.5rem;
    }
}

/*/////////////
  JavaScript Triggered Classes
   //////////////*/
.open-cart {
    visibility: visible;
}

.open-menu {
    transform: translateX(0%);
}

.open-overlay {
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.preload * {
    transition: none !important;
}
.hide {
    display: none;
}